classification
Title: Bad getter from Descriptor#Properties example
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Mariatta, anqurvanillapy, docs@python
Priority: normal Keywords:

Created on 2017-06-20 11:13 by anqurvanillapy, last changed 2017-06-23 04:25 by Mariatta. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2288 closed anqurvanillapy, 2017-06-20 11:13
PR 2339 merged anqurvanillapy, 2017-06-23 03:45
PR 2340 merged Mariatta, 2017-06-23 04:10
PR 2341 merged Mariatta, 2017-06-23 04:10
PR 2342 merged Mariatta, 2017-06-23 04:10
Messages (6)
msg296412 - (view) Author: AnqurVanillapy (anqurvanillapy) * Date: 2017-06-20 11:13
- The purpose of `obj` in the example is implicit
- As an argument the `obj` will cause errors when using Cell('b10').value because it expects more arguments, but 1 given
msg296665 - (view) Author: AnqurVanillapy (anqurvanillapy) * Date: 2017-06-23 03:46
Previous conversation here: https://github.com/python/cpython/pull/2288
msg296666 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-23 03:54
New changeset b066edfb1b268e90ea11f45dd1827f46d7ceec88 by Mariatta (_ = NaN) in branch 'master':
bpo-30709: Improve code example in Descriptor HowTo doc (GH-2339)
https://github.com/python/cpython/commit/b066edfb1b268e90ea11f45dd1827f46d7ceec88
msg296670 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-23 04:24
New changeset 508267437cc66fdadc12fb19fb2958c452b8a26f by Mariatta in branch '2.7':
[2.7] bpo-30709: Improve code example in Descriptor HowTo doc (GH-2339) (GH-2340)
https://github.com/python/cpython/commit/508267437cc66fdadc12fb19fb2958c452b8a26f
msg296671 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-23 04:24
New changeset 8aa15ba884b14c1cf65d4c1a4c5abc4253f5c9ed by Mariatta in branch '3.5':
[3.5] bpo-30709: Improve code example in Descriptor HowTo doc (GH-2339) (GH-2341)
https://github.com/python/cpython/commit/8aa15ba884b14c1cf65d4c1a4c5abc4253f5c9ed
msg296673 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2017-06-23 04:24
New changeset d79ac2c2468f072653ed9096cd33f89acb6ff5bb by Mariatta in branch '3.6':
[3.6] bpo-30709: Improve code example in Descriptor HowTo doc (GH-2339) (GH-2342)
https://github.com/python/cpython/commit/d79ac2c2468f072653ed9096cd33f89acb6ff5bb
History
Date User Action Args
2017-06-23 04:25:38Mariattasetstatus: open -> closed
resolution: fixed
stage: resolved
2017-06-23 04:24:45Mariattasetmessages: + msg296673
2017-06-23 04:24:35Mariattasetmessages: + msg296671
2017-06-23 04:24:25Mariattasetmessages: + msg296670
2017-06-23 04:10:17Mariattasetpull_requests: + pull_request2386
2017-06-23 04:10:09Mariattasetpull_requests: + pull_request2385
2017-06-23 04:10:01Mariattasetpull_requests: + pull_request2384
2017-06-23 03:54:37Mariattasetnosy: + Mariatta
messages: + msg296666
2017-06-23 03:46:41anqurvanillapysetmessages: + msg296665
2017-06-23 03:45:46anqurvanillapysetpull_requests: + pull_request2382
2017-06-21 15:59:40Mariattasetversions: + Python 3.5, Python 3.6, Python 3.7
2017-06-20 11:13:18anqurvanillapycreate